<div class="transactions">
  <layout-page-header
    [title]="'LOAN_MANAGER.TRANSACTIONS.TITLE' | translate"
    [description]="'LOAN_MANAGER.TRANSACTIONS.DESCRIPTION' | translate"
    [total]="(transactionsTable$ | async)?.count "
    [tooltipMessage]="'LOAN_MANAGER.TRANSACTIONS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <transactions-filters></transactions-filters>
    <div class="transactions__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="transactionsTable$ | async"
        [isLoading]="isLoadingTransactions$ | async"
        (changeTableFilters)="onChangePageFilter($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>
